Citação Postado originalmente por OSNIR Ver Post
Com certeza use a versão estavel mais recente... sempre!
Exatamente. Infelizmente alguns sistemas não estão atualizados para as versões mais recentes.

Resolvi instalar o webmikrotik para gerenciamento do provedor, mas na hora de sincronizar os planos não consegui a comunicação. Foi quando o suporte me informou que eu teria q fazer downgrade para a v. 5.18 que é mais estável (segundo eles as mais recentes teriam bugs).
Resolvi que não faria isso, não vou voltar pra trás se o servidor está funcionando bem com a v. 5.20. Eles que atualizem o sistema deles. Continuo fazendo o controle pelo winbox.